## lemonldap-ng 2.19.2+ds

=== Makefile ===
#!/usr/bin/make

# This Makefile contains 2 main sections
#  - Variables
#  - targets

# ---------
# VARIABLES
# ---------

# Prefix for packaging
DESTDIR=

# Flag for optimizations
USEDEBIANLIBS=no
PROD=$(USEDEBIANLIBS)
USEEXTERNALLIBS=no
PARA=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "j$$1:c" : "")')
PARAXARGS=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "-P $$1" : "")')

# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Compression
JSCOMPRESS=$(PROD)
CSSCOMPRESS=$(PROD)

# Perltidy version
PERLTIDY_VERSION=20220217

# External commands
PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
export PERL5LIB=$(shell echo `pwd`/${SRCCOMMONDIR}/blib/lib:`pwd`/${SRCHANDLERDIR}/blib/lib:`pwd`/${SRCMANAGERDIR}/blib/lib/:`pwd`/${SRCPORTALDIR}/blib/lib/)
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
NGINX=/usr/sbin/nginx
UGLIFYJSVERSION:=$(shell uglifyjs --version|perl -pe 's/^[^\d]*(\d).*$$/$$1/')
CHOWN=chown
CHGRP=chgrp
CHMOD=chmod

# Default directories install
# ---------------------------

# Common dirs
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
# BIN dirs
BINDIR=$(LMPREFIX)/bin
SBINDIR=$(LMPREFIX)/sbin
INITDIR=$(LMPREFIX)/etc/init.d
UNITDIR=$(LMPREFIX)/usr/lib/systemd/system
TMPFILESDIR=$(LMPREFIX)/usr/lib/tmpfiles.d
ETCDEFAULTDIR=$(LMPREFIX)/etc/default
DATADIR=$(LMPREFIX)/data

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
PORTALSITEDIR=$(PORTALDIR)/htdocs
PORTALSTATICDIR=$(PORTALSITEDIR)/static
PORTALRELATIVESTATICDIR=/static
PORTALTEMPLATESDIR=$(PORTALDIR)/templates

MANAGERDIR=$(DOCUMENTROOT)/manager
MANAGERSITEDIR=$(MANAGERDIR)/htdocs
MANAGERAPIDIR=$(MANAGERDIR)/api
MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
MANAGERRELATIVESTATICDIR=/static
MANAGERRELATIVEDOCDIR=/doc
MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
DOCDIR=$(DOCUMENTROOT)
DEFDOCDIR=$(DOCUMENTROOT)/doc
TESTDIR=$(DOCUMENTROOT)/test
EXAMPLESDIR=$(LMPREFIX)/examples
TOOLSDIR=$(LMPREFIX)/tools

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
CRONDIR=$(LMPREFIX)/etc/cron.d
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications

# LL::NG captcha dir
CAPTCHADIR=$(DATADIR)/captcha

# LL::NG cache dir
CACHEDIR=$(DATADIR)/cache

# Apache user/group
APACHEUSER=
APACHEGROUP=

# FastCGI
FASTCGISOCKDIR=$(PREFIX)/run
FASTCGIUSER=$(APACHEUSER)
FASTCGIGROUP=$(APACHEGROUP)

# uWSGI
UWSGIYAMLDIR=$(LMPREFIX)/uwsgi
LLNGAPPDIR=$(LMPREFIX)/llng-server
UWSGIUSER=$(APACHEUSER)
UWSGIGROUP=$(APACHEGROUP)

# Apache version
APACHEVERSION=2.X

# Apache log dir
APACHELOGDIR=/var/log/apache2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
PORT=80
VHOSTLISTEN="*:$(PORT)"
TESTWEBSERVER=apache
TESTWEBSERVERPORT=19876
TESTUSESSL=0
E2E_TESTS='portal/*.js'

# LDAP backend test
LLNGTESTLDAP_SLAPD_BIN=/usr/sbin/slapd
LLNGTESTLDAP_SLAPADD_BIN=/usr/sbin/slapadd
LLNGTESTLDAP_SCHEMA_DIR=/etc/ldap/schema

# Default website destination
WEBSITE_DIR=doc/sources/admin/_build/html

# Other
SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

# INTERNAL VARIABLES

# Internal variables used to install in $(DESTDIR)
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
RBINDIR=$(DESTDIR)/$(BINDIR)
RSBINDIR=$(DESTDIR)/$(SBINDIR)
RUWSGIYAMLDIR=$(DESTDIR)/$(UWSGIYAMLDIR)
RLLNGAPPDIR=$(DESTDIR)/$(LLNGAPPDIR)
RINITDIR=$(DESTDIR)/$(INITDIR)
RUNITDIR=$(DESTDIR)/$(UNITDIR)
RTMPFILESDIR=$(DESTDIR)/$(TMPFILESDIR)
RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
RDATADIR=$(DESTDIR)/$(DATADIR)
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
RPORTALSITEDIR=$(DESTDIR)/$(PORTALSITEDIR)
RPORTALSTATICDIR=$(DESTDIR)/$(PORTALSTATICDIR)
RPORTALTEMPLATESDIR=$(DESTDIR)/$(PORTALTEMPLATESDIR)
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
RMANAGERAPIDIR=$(DESTDIR)/$(MANAGERAPIDIR)
RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
RDOCDIR=$(DESTDIR)/$(DOCDIR)
RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
RTESTDIR=$(DESTDIR)/$(TESTDIR)
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)
RCONFDIR=$(DESTDIR)/$(CONFDIR)
RCRONDIR=$(DESTDIR)/$(CRONDIR)
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
RCACHEDIR=$(DESTDIR)/$(CACHEDIR)
RFASTCGISOCKDIR=$(DESTDIR)/$(FASTCGISOCKDIR)

VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls $(SRCPORTALDIR)/site/templates/`
DIFF=diff -aurN -x '*.tpl' -x '*.bak' -x .svn -x '*.map' -x '*.min.js' -x '*.min.css' -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
DIFFPREFIX=


MANAGERLIBSTOREMOVEFORDEBIAN=$(RMANAGERSTATICDIR)/bwr/jquery/ \
			$(RMANAGERSTATICDIR)/bwr/angular/ \
			$(RMANAGERSTATICDIR)/bwr/angular-animate/ \
			$(RMANAGERSTATICDIR)/bwr/angular-cookie/ \
			$(RMANAGERSTATICDIR)/bwr/bootstrap/ \
			$(RMANAGERSTATICDIR)/bwr/es5-shim/
PORTALLIBSTOREMOVEFORDEBIAN=$(RPORTALSTATICDIR)/bwr/bootstrap/ \
			$(RPORTALSTATICDIR)/bwr/font-awesome \
			$(RPORTALSTATICDIR)/bwr/jquery-ui \
			$(RPORTALSTATICDIR)/bwr/jquery.cookie \
			$(RPORTALSTATICDIR)/bwr/jquery
DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
			pages/documentation/current/lib/scripts/jquery-ui*.js \
			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN)

# GENERATED SRC FILES
MANAGERJSONSRC= scripts/jsongenerator.pl \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/CTrees.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/PortalConstants.pm
MANAGERJSONDST=$(SRCMANAGERDIR)/site/htdocs/static/struct.json \
		$(SRCMANAGERDIR)/site/htdocs/static/reverseTree.json \
		$(SRCMANAGERDIR)/site/htdocs/static/js/conftree.js \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/ReConstants.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		$(SRCPORTALDIR)/lib/Lemonldap/NG/Portal/Main/Constants.pm \
		$(SRCHANDLERDIR)/lib/Lemonldap/NG/Handler/Lib/StatusConstants.pm \
		_example/conf/lmConf-1.json



# Javascript and CSS to minify
JSSRCFILES:=$(shell find */site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.js' ! -name '*.min.js') \
		$(SRCMANAGERDIR)/site/htdocs/static/bwr/file-saver.js/FileSaver.js
CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/htdocs/static  $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.css' ! -name '*.min.css')

# Coffee files
MANAGERCOFFEESRCFILES:=$(shell find lemonldap-ng-manager/site/coffee -type f -name '*.coffee')
PORTALCOFFEESRCFILES:=$(shell find lemonldap-ng-portal/site/coffee -type f -name '*.coffee')
COFFEESRCFILES=$(MANAGERCOFFEESRCFILES) $(PORTALCOFFEESRCFILES)
MANAGERCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/js/,$(MANAGERCOFFEESRCFILES:.coffee=.js))
PORTALCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/common/js/,$(PORTALCOFFEESRCFILES:.coffee=.js))
COFFEEDSTFILES:=$(MANAGERCOFFEEDSTFILES) $(PORTALCOFFEEDSTFILES)

# Minified files
JSDSTFILES=$(JSSRCFILES:.js=.min.js)
CSSDSTFILES=$(CSSSRCFILES:.css=.min.css)

# -------
# TARGETS
# -------

# Targets section contains the following subsections:
#  - 'all' that must be defined at first
#  - configure targets
#  - make targets
#  - test targets
#  - end-to-end tests
#  - install targets
#  - cleaning targets
#  - Perl libraries uninstall targets
#  - packaging targets
#  - developper corner

all:	configure common handler manager portal documentation
	@echo
	@echo "Building succeed. Now run :"
	@echo " - 'make test' to verify your installation"
	@echo " - 'make install PROD=yes' to install all"
	@echo
	@echo "    MAKE INSTALL OPTIONS:"
	@echo "    - PROD=yes            : use js/css minified files"
	@echo "    - USEDEBIANLIBS=yes   : use some Debian shared js/css files"
	@echo "    - USEEXTERNALLIBS=yes : use external links for some js/css files"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs           (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin            ($(BINDIR))"
	@echo " * FastCGI (or uWSGI) server install (required for Nginx)"
	@echo "   - install_fastcgi_server ($(SBINDIR))"
	@echo "   - install_uwsgi_server   ($(UWSGIYAMLDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site           (all sites including install_doc_site)"
	@echo "   - install_portal_site    ($(PORTALDIR))"
	@echo "   - install_manager_site   ($(MANAGERDIR))"
	@echo "   - install_handler_site   ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site       ($(DEFDOCDIR))"
	@echo "   - install_examples_site  ($(EXAMPLESDIR))"
	@echo

# Configure targets
# -----------------

configure:	common_conf handler_conf portal_conf manager_conf

js: $(COFFEEDSTFILES)

minify: js $(JSDSTFILES) $(CSSDSTFILES)

$(SRCPORTALDIR)/site/htdocs/static/common/js/%.js: $(SRCPORTALDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCPORTALDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCPORTALDIR)/site/htdocs/static/common/js/ $(SRCPORTALDIR)/site/coffee/$*.coffee; \
	else \
		echo "Can't find coffee"; \
	fi

$(SRCMANAGERDIR)/site/htdocs/static/js/%.js: $(SRCMANAGERDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCMANAGERDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCMANAGERDIR)/site/htdocs/static/js/ $(SRCMANAGERDIR)/site/coffee/$*.coffee; \
	fi

%.min.css: %.css
	@echo "Compressing $*.css"
	@yui-compressor $*.css > $*.min.css

%.min.js: %.js
	@echo "Compressing $*.js"
	if test "$(UGLIFYJSVERSION)" = 2; then \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map `basename $*`.min.js.map -o `basename $*`.min.js; \
	else \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map -o `basename $*`.min.js; \
	fi

fastcgi-server/man/llng-fastcgi-server.8p: fastcgi-server/sbin/llng-fastcgi-server
	@echo Update FastCGI server man page
	@pod2man -s 8 -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.8p

# Perl libraries configuration

json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.8p debian/*cron*

=== debian/changelog ===
lemonldap-ng (2.19.2+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Sat, 07 Sep 2024 12:15:09 +0400

lemonldap-ng (2.19.2+ds-1) unstable; urgency=medium

  * Add suggested dependencies to liblist-moreutils-perl
  * wrap-and-sort
  * New upstream version 2.19.2+ds (Closes: CVE-2024-45160)

 -- Yadd <yadd@debian.org>  Wed, 04 Sep 2024 15:51:58 +0400

lemonldap-ng (2.19.0+ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Fri, 03 May 2024 10:29:05 +0400

lemonldap-ng (2.18.2+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Sun, 11 Feb 2024 10:18:40 +0400

lemonldap-ng (2.18.1+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Sat, 23 Dec 2023 10:37:38 +0400

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13), po-debconf
Build-Depends-Indep: fonts-urw-base35 <!nocheck>,
                     gpg <!nocheck>,
                     jq,
                     libapache-session-perl <!nocheck>,
                     libauth-yubikey-webclient-perl <!nocheck>,
                     libauthen-oath-perl <!nocheck>,
                     libauthen-radius-perl <!nocheck>,
                     libauthen-u2f-tester-perl <!nocheck>,
                     libauthen-webauthn-perl <!nocheck>,
                     libcache-cache-perl <!nocheck>,
                     libclass-xsaccessor-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-inifiles-perl <!nocheck>,
                     libconvert-base32-perl <!nocheck>,
                     libconvert-pem-perl <!nocheck>,
                     libcrypt-jwt-perl <!nocheck>,
                     libcrypt-openssl-rsa-perl <!nocheck>,
                     libcrypt-openssl-x509-perl <!nocheck>,
                     libcrypt-rijndael-perl <!nocheck>,
                     libcrypt-urandom-perl <!nocheck>,
                     libdata-password-zxcvbn-perl <!nocheck>,
                     libdatetime-format-rfc3339-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdigest-hmac-perl <!nocheck>,
                     libemail-sender-perl <!nocheck>,
                     libgd-securityimage-perl <!nocheck>,
                     libglib-perl <!nocheck>,
                     libgssapi-perl <!nocheck>,
                     libhash-merge-simple-perl <!nocheck>,
                     libhtml-formattext-withlinks-perl <!nocheck>,
                     libhtml-template-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libimage-magick-perl <!nocheck>,
                     libio-socket-timeout-perl <!nocheck>,
                     libio-string-perl,
                     libipc-run-perl <!nocheck>,
                     libjson-perl,
                     libjson-xs-perl <!nocheck>,
                     liblasso-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     liblwp-protocol-psgi-perl <!nocheck>,
                     libmime-tools-perl <!nocheck>,
                     libmouse-perl,
                     libnet-cidr-lite-perl <!nocheck>,
                     libnet-cidr-perl <!nocheck>,
                     libnet-ldap-perl <!nocheck>,
                     libnet-openid-consumer-perl <!nocheck>,
                     libnet-openid-server-perl <!nocheck>,
                     libplack-perl <!nocheck>,
                     libregexp-assemble-perl,
                     libregexp-common-perl,
                     libsoap-lite-perl <!nocheck>,
                     libstring-random-perl <!nocheck>,
                     libtest-leaktrace-perl <!nocheck>,
                     libtest-mockobject-perl <!nocheck>,
                     libtest-output-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtext-unidecode-perl <!nocheck>,
                     libtime-fake-perl <!nocheck>,
                     libunicode-string-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libxml-libxml-perl <!nocheck>,
                     libxml-libxslt-perl <!nocheck>,
                     libxml-simple-perl <!nocheck>,
                     perl,
                     python3-sphinx,
                     python3-sphinx-bootstrap-theme,
                     uglifyjs,
                     yui-compressor
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
Homepage: https://lemonldap-ng.org/
Rules-Requires-Root: binary-targets

Package: lemonldap-ng
Architecture: all
Depends: lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version}),
         ${misc:Depends}
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Section: web
Depends: libfcgi-perl,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libhttp-parser-xs-perl, libnginx-mod-http-lua, nginx-extras | nginx
Pre-Depends: ${misc:Pre-Depends}
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server that handles
 also LLNG Portal and Manager.

Package: liblemonldap-ng-ssoaas-apache-client-perl
Architecture: all
Section: web
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: liblemonldap-ng-handler-perl (<< 2.0.14~)
Multi-Arch: foreign
Description: Lemonldap::NG SSOaaS client for Apache
 Lemonldap::NG is a complete Web-SSO system that provides a SSO-as-a-Service
 system, natively usable with Nginx. Lemonldap::NG::SSOaaS::Apache::Client
 permits one to enroll an Apache server into Lemonldap::NG's SSOaaS service.

Package: lemonldap-ng-uwsgi-app
Architecture: all
Section: web
Depends: liblemonldap-ng-handler-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libhttp-parser-xs-perl, uwsgi-plugin-psgi
Suggests: nginx-extras | nginx
Description: Lemonldap::NG uWSGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG uWSGI server provides a replacement to Lemonldap::NG FastCGI
 server, using uWSGI instead of Plack FCGI.

Package: lemonldap-ng-handler
Architecture: all
Depends: liblemonldap-ng-handler-perl (= ${binary:Version}), ${misc:Depends}
Recommends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | libapache2-mod-perl2
Suggests: libcache-memcached-perl, libdigest-hmac-perl, libsoap-lite-perl
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: liblemonldap-ng-common-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends}
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-common-perl
Architecture: all
Depends: debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libclass-xsaccessor-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-rijndael-perl,
         libcrypt-urandom-perl,
         libhtml-template-perl,
         libjson-perl,
         libjson-xs-perl,
         libmouse-perl,
         libnet-cidr-perl,
         libplack-perl,
         liburi-perl,
         libwww-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libapache-session-browseable-perl,
            libcookie-baker-xs-perl,
            libdbi-perl,
            libemail-sender-perl,
            libhttp-parser-xs-perl,
            liblwp-protocol-https-perl,
            libstring-random-perl
Suggests: libconvert-base32-perl,
          libnet-ldap-perl,
          libsoap-lite-perl,
          libxml-libxml-perl,
          libxml-simple-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .

## lemonldap-ng 2.20.0+ds

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # External commands
 PERL=$$(which perl)
 PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
-export PERL5LIB=$(shell echo `pwd`/${SRCCOMMONDIR}/blib/lib:`pwd`/${SRCHANDLERDIR}/blib/lib:`pwd`/${SRCMANAGERDIR}/blib/lib/:`pwd`/${SRCPORTALDIR}/blib/lib/)
+export PERL5LIB=$(CURDIR)/${SRCCOMMONDIR}/blib/lib:$(CURDIR)/${SRCHANDLERDIR}/blib/lib:$(CURDIR)/${SRCMANAGERDIR}/blib/lib/:$(CURDIR)/${SRCPORTALDIR}/blib/lib/
 SU=su -c
 COMPRESS=tar czf
 UNCOMPRESS=tar xzf
@@ -58,6 +58,7 @@
 TMPFILESDIR=$(LMPREFIX)/usr/lib/tmpfiles.d
 ETCDEFAULTDIR=$(LMPREFIX)/etc/default
 DATADIR=$(LMPREFIX)/data
+MANDIR=$(LMPREFIX)/usr/share/man
 
 # Document roots for Apache VirtualHosts
 DOCUMENTROOT=$(LMPREFIX)/htdocs
@@ -124,6 +125,10 @@
 UWSGIUSER=$(APACHEUSER)
 UWSGIGROUP=$(APACHEGROUP)
 
+# RC/systemd
+WITHRC=yes
+WITHSYSTEMD=yes
+
 # Apache version
 APACHEVERSION=2.X
 
@@ -169,6 +174,7 @@
 RTMPFILESDIR=$(DESTDIR)/$(TMPFILESDIR)
 RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
 RDATADIR=$(DESTDIR)/$(DATADIR)
+RMANDIR=$(DESTDIR)/$(MANDIR)
 RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
 RPORTALSITEDIR=$(DESTDIR)/$(PORTALSITEDIR)
 RPORTALSTATICDIR=$(DESTDIR)/$(PORTALSTATICDIR)
@@ -347,10 +353,10 @@
 		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map -o `basename $*`.min.js; \
 	fi
 
-fastcgi-server/man/llng-fastcgi-server.8p: fastcgi-server/sbin/llng-fastcgi-server
-	@echo Update FastCGI server man page
-	@pod2man -s 8 -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.8p
-
 # Perl libraries configuration
 
-json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.8p debian/*cron*
+json:	$(MANAGERJSONDST) debian/*cron*
+	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi
+	$(MAKE) minify
+
+debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/scripts/purgeLocalCache.cron.d

=== debian/changelog ===
lemonldap-ng (2.20.0+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Mon, 21 Oct 2024 07:37:22 +0200

lemonldap-ng (2.20.0+ds-2) unstable; urgency=medium

  * Add missing file for autopkgtest

 -- Yadd <yadd@debian.org>  Wed, 16 Oct 2024 06:50:39 +0200

lemonldap-ng (2.20.0+ds-1) unstable; urgency=medium

  * Drop useless dependencies
  * New upstream version 2.20.0+ds (Closes: #1084979, CVE-2024-48933)
  * Update manpages generation
  * Drop patches now included in upstream

 -- Yadd <yadd@debian.org>  Tue, 15 Oct 2024 18:50:34 +0200

lemonldap-ng (2.19.2+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Sat, 07 Sep 2024 12:07:07 +0400

lemonldap-ng (2.19.1+ds-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Tue, 23 Jul 2024 08:47:58 +0400

## lemonldap-ng 2.20.1+ds

=== debian/changelog ===
lemonldap-ng (2.20.1+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Tue, 12 Nov 2024 08:41:52 +0400

lemonldap-ng (2.20.1+ds-1) unstable; urgency=medium

  * New upstream version 2.20.1+ds

 -- Yadd <yadd@debian.org>  Sat, 09 Nov 2024 13:08:34 +0400

## lemonldap-ng 2.20.2+ds

=== debian/changelog ===
lemonldap-ng (2.20.2+ds-1build1) plucky; urgency=medium

  * Rebuild against new nginx 1.26.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Feb 2025 18:53:12 +0100

lemonldap-ng (2.20.2+ds-1) unstable; urgency=medium

  * New upstream version 2.20.2+ds

 -- Yadd <yadd@debian.org>  Wed, 22 Jan 2025 09:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,6 @@
                      liblwp-protocol-psgi-perl <!nocheck>,
                      libmime-tools-perl <!nocheck>,
                      libmouse-perl,
-                     libnet-cidr-lite-perl <!nocheck>,
                      libnet-cidr-perl <!nocheck>,
                      libnet-ldap-perl <!nocheck>,
                      libnet-openid-consumer-perl <!nocheck>,
@@ -59,12 +58,10 @@
                      libsoap-lite-perl <!nocheck>,
                      libstring-random-perl <!nocheck>,
                      libtest-leaktrace-perl <!nocheck>,
-                     libtest-mockobject-perl <!nocheck>,
                      libtest-output-perl <!nocheck>,
                      libtest-pod-perl <!nocheck>,
                      libtext-unidecode-perl <!nocheck>,
                      libtime-fake-perl <!nocheck>,
-                     libunicode-string-perl <!nocheck>,
                      liburi-perl <!nocheck>,
                      libwww-perl <!nocheck>,
                      libxml-libxml-perl <!nocheck>,
@@ -255,3 +252,5 @@
  OpenID-Connect, CAS and SAML systems as identity or service provider. It can
  also be used as proxy between those federation systems.
  .
+ It manages both authentication and authorization and provides headers for
+ accounting. So you can have a full AAA protection. Authorizations are built by

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
LMCACHEDIR  =/var/cache/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
export LLNG_SKIP_GPG_TEST=1
export SKIP_NETWORK_TESTS=1

%:
	dh $@

override_dh_auto_configure:
	$(MAKE) lemonldap-ng-common/lib/Lemonldap/NG/Common/Conf/Constants.pm
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_build:
	# Generate files excluded from import
	LANG=C $(MAKE) all
	# Extract JOSN from doc index
	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
	# Sort JSON, including arrays
	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
	# Insert new JSON in doc index
	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js
	pod2man -s 8 -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >llng-fastcgi-server.8p

override_dh_auto_install:
	$(MAKE) install \
			DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr \
			LMPREFIX=/usr/share/lemonldap-ng \
			BINDIR=$(LMSHAREDIR)/bin \
			SBINDIR=/usr/sbin \
			FASTCGISOCKDIR=/var/run/llng-fastcgi-server \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples \
			HANDLERDIR=$(LMVARDIR)/handler \
			MANAGERDIR=$(LMSHAREDIR)/manager \
			PORTALDIR=$(LMSHAREDIR)/portal \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources \
			CONFDIR=$(CONFDIR) \
			CRONDIR=/etc/cron.d \
			DATADIR=$(LMVARDIR) \
			CACHEDIR=$(LMCACHEDIR) \
			APACHEVERSION=2.X \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DEFDOCDIR=/usr/share/doc/lemonldap-ng \
			UWSGIYAMLDIR=/etc/uwsgi/apps-available \
			USEDEBIANLIBS=yes
	find $(TMP)/$(LMSHAREDIR) -type f -name '.*.swp' -delete
	# Generate minified files removed by uscan
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.js'); do \
		echo -n "compressing $$i: "; \
		uglifyjs --comments '/Copyr/i' $$i >$${i%%.js}.min.js; \
		echo done; \
	done
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.css'); do \
		echo -n "compressing $$i: "; \
		yui-compressor $$i >$${i%%.css}.min.css; \
		echo done; \
	done
	rm -rf $(TMP)/usr/share/lemonldap-ng/usr/lib/systemd

override_dh_compress:
	dh_compress -X favicon.ico

override_dh_missing:
	dh_missing -Xexamples/ -Xetc/cron.d -Xllng-fastcgi-server

## lemonldap-ng 2.21.0+ds

=== Makefile ===
--- 
+++ 
@@ -243,26 +243,26 @@
 		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
 		$(SRCPORTALDIR)/lib/Lemonldap/NG/Portal/Main/Constants.pm \
 		$(SRCHANDLERDIR)/lib/Lemonldap/NG/Handler/Lib/StatusConstants.pm \
-		_example/conf/lmConf-1.json
+		_example/conf/lmConf-1.json \
+		doc/sources/admin/error_codes.rst
 
 
 
 # Javascript and CSS to minify
-JSSRCFILES:=$(shell find */site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.js' ! -name '*.min.js') \
+JSSRCFILES=$(shell find */site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.js' ! -name '*.min.js') \
 		$(SRCMANAGERDIR)/site/htdocs/static/bwr/file-saver.js/FileSaver.js
-CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/htdocs/static  $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.css' ! -name '*.min.css')
-
-# Coffee files
-MANAGERCOFFEESRCFILES:=$(shell find lemonldap-ng-manager/site/coffee -type f -name '*.coffee')
-PORTALCOFFEESRCFILES:=$(shell find lemonldap-ng-portal/site/coffee -type f -name '*.coffee')
-COFFEESRCFILES=$(MANAGERCOFFEESRCFILES) $(PORTALCOFFEESRCFILES)
-MANAGERCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/js/,$(MANAGERCOFFEESRCFILES:.coffee=.js))
-PORTALCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/common/js/,$(PORTALCOFFEESRCFILES:.coffee=.js))
-COFFEEDSTFILES:=$(MANAGERCOFFEEDSTFILES) $(PORTALCOFFEEDSTFILES)
+CSSSRCFILES=$(shell find $(SRCMANAGERDIR)/site/htdocs/static  $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.css' ! -name '*.min.css')
+
+# JS source files
+MANAGERJSSRCFILES=$(shell find lemonldap-ng-manager/site/js-src -type f -name '*.js')
+PORTALJSSRCFILES=$(shell find lemonldap-ng-portal/site/js-src -type f -name '*.js')
+MANAGERJSDSTFILES=$(subst js-src/,htdocs/static/js/,$(MANAGERJSSRCFILES:.js=.js))
+PORTALJSDSTFILES=$(subst js-src/,htdocs/static/common/js/,$(PORTALJSSRCFILES:.js=.js))
+JSDSTFILES=$(MANAGERJSDSTFILES) $(PORTALJSDSTFILES)
 
 # Minified files
-JSDSTFILES=$(JSSRCFILES:.js=.min.js)
-CSSDSTFILES=$(CSSSRCFILES:.css=.min.css)
+JSMINFILES=$(JSSRCFILES:.js=.min.js)
+CSSMINFILES=$(CSSSRCFILES:.css=.min.css)
 
 # -------
 # TARGETS
@@ -321,22 +321,32 @@
 
 configure:	common_conf handler_conf portal_conf manager_conf
 
-js: $(COFFEEDSTFILES)
-
-minify: js $(JSDSTFILES) $(CSSDSTFILES)
-
-$(SRCPORTALDIR)/site/htdocs/static/common/js/%.js: $(SRCPORTALDIR)/site/coffee/%.coffee
-	@if which coffee >/dev/null; then \
-		echo "Compiling $(SRCPORTALDIR)/site/coffee/$*.coffee"; \
-		coffee -c -o $(SRCPORTALDIR)/site/htdocs/static/common/js/ $(SRCPORTALDIR)/site/coffee/$*.coffee; \
+js: $(JSDSTFILES)
+
+minify: $(JSDSTFILES) $(JSMINFILES) $(CSSMINFILES)
+
+_rollup_portal:
+	@if which rollup >/dev/null; then \
+		cd $(SRCPORTALDIR)/site/js-src && \
+		rollup -c; \
 	else \
-		echo "Can't find coffee"; \
+		echo "Can't find rollup"; \
 	fi
 
-$(SRCMANAGERDIR)/site/htdocs/static/js/%.js: $(SRCMANAGERDIR)/site/coffee/%.coffee
-	@if which coffee >/dev/null; then \
-		echo "Compiling $(SRCMANAGERDIR)/site/coffee/$*.coffee"; \
-		coffee -c -o $(SRCMANAGERDIR)/site/htdocs/static/js/ $(SRCMANAGERDIR)/site/coffee/$*.coffee; \
+$(SRCPORTALDIR)/site/htdocs/static/common/js/%.js: $(SRCPORTALDIR)/site/js-src/%.js
+	$(MAKE) _rollup_portal
+
+_rollup_manager:
+	@if which rollup >/dev/null; then \
+		cd $(SRCMANAGERDIR)/site/js-src && \
+		rollup -c; \
+	else \
+		echo "Can't find rollup"; \
+	fi
+
+$(SRCMANAGERDIR)/site/htdocs/static/js/%.js: $(SRCMANAGERDIR)/site/js-src/%.js
+	@if test "$*" != "conftree"; then \
+		$(MAKE) _rollup_manager; \
 	fi
 
 %.min.css: %.css
@@ -345,7 +355,7 @@
 
 %.min.js: %.js
 	@echo "Compressing $*.js"
-	if test "$(UGLIFYJSVERSION)" = 2; then \
+	@if test "$(UGLIFYJSVERSION)" = 2; then \
 		cd `dirname $*`; \
 		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map `basename $*`.min.js.map -o `basename $*`.min.js; \
 	else \
@@ -360,3 +370,5 @@
 	$(MAKE) minify
 
 debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/scripts/purgeLocalCache.cron.d
+	@perl -pe 's/__APACHEUSER__/www-data/g;s@__BINDIR__@/usr/share/lemonldap-ng/bin@g' \
+		lemonldap-ng-handler/scripts/purgeLocalCache.cron.d \

=== debian/changelog ===
lemonldap-ng (2.21.0+ds-2) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Add Catalan po-debconf translation

 -- Yadd <yadd@debian.org>  Mon, 07 Apr 2025 21:06:38 +0200

lemonldap-ng (2.21.0+ds-1) unstable; urgency=medium

  * New upstream release (Closes: CVE-2025-31510)
  * Unfuzz patches
  * Dependencies:
    - Drop libxml-simple-perl
    - Test-Depends: liblog-log4perl-perl
  * Declare compliance with policy 4.7.2
  * Update copyright

 -- Yadd <yadd@debian.org>  Mon, 07 Apr 2025 18:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
                      libjson-xs-perl <!nocheck>,
                      liblasso-perl <!nocheck>,
                      liblist-moreutils-perl <!nocheck>,
+                     liblog-log4perl-perl <!nocheck>,
                      liblwp-protocol-psgi-perl <!nocheck>,
                      libmime-tools-perl <!nocheck>,
                      libmouse-perl,
@@ -66,13 +67,12 @@
                      libwww-perl <!nocheck>,
                      libxml-libxml-perl <!nocheck>,
                      libxml-libxslt-perl <!nocheck>,
-                     libxml-simple-perl <!nocheck>,
                      perl,
                      python3-sphinx,
                      python3-sphinx-bootstrap-theme,
                      uglifyjs,
                      yui-compressor
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
@@ -222,6 +222,7 @@
          libconfig-inifiles-perl,
          libcrypt-openssl-rsa-perl,
          libcrypt-openssl-x509-perl,
+         libconvert-pem-perl,
          libcrypt-rijndael-perl,
          libcrypt-urandom-perl,
          libhtml-template-perl,
@@ -229,6 +230,7 @@
          libjson-xs-perl,
          libmouse-perl,
          libnet-cidr-perl,
+         libnet-ssleay-perl,
          libplack-perl,
          liburi-perl,
          libwww-perl,
@@ -242,10 +244,10 @@
             liblwp-protocol-https-perl,
             libstring-random-perl
 Suggests: libconvert-base32-perl,
+          liblog-log4perl-perl,
           libnet-ldap-perl,
           libsoap-lite-perl,
-          libxml-libxml-perl,
-          libxml-simple-perl
+          libxml-libxml-perl
 Description: Lemonldap::NG common files
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with

## lemonldap-ng 2.21.1+ds

=== debian/changelog ===
lemonldap-ng (2.21.1+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Tue, 01 Jul 2025 08:47:02 +0200

lemonldap-ng (2.21.1+ds-1) unstable; urgency=medium

  * Update patch
  * Don't import useless dev/conf files
  * New upstream LTS version

 -- Yadd <yadd@debian.org>  Wed, 11 Jun 2025 13:28:41 +0200

lemonldap-ng (2.21.0+ds-4) unstable; urgency=medium

  * Fix "shuffle bug" (Closes: #1105406)

 -- Yadd <yadd@debian.org>  Tue, 13 May 2025 22:32:24 +0200

lemonldap-ng (2.21.0+ds-3) unstable; urgency=medium

  * Dependencies:
    + add preference to libemail-address-xs-perl
    + drop useless libcrypt-openssl-rsa-perl, libcrypt-openssl-bignum-perl,
      libdata-password-zxcvbn-perl
  * Move manpages in the right place
  * Ignore lmConf-1.json changes done by debhelper (Closes: #1104519)

 -- Yadd <yadd@debian.org>  Thu, 01 May 2025 20:51:47 +0200

lemonldap-ng (2.21.0+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Thu, 10 Apr 2025 15:55:08 +0200

lemonldap-ng (2.20.2+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Wed, 29 Jan 2025 18:22:37 +0100

## lemonldap-ng 2.21.2+ds

=== debian/changelog ===
lemonldap-ng (2.21.2+ds-1) unstable; urgency=medium

  * Update debian upstream keys
  * New upstream LTS version 2.21.2+ds

 -- Yadd <yadd@debian.org>  Fri, 11 Jul 2025 17:42:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 			EXAMPLESDIR=/examples \
 			HANDLERDIR=$(LMVARDIR)/handler \
 			MANAGERDIR=$(LMSHAREDIR)/manager \
+			MANDIR=/usr/share/man \
 			PORTALDIR=$(LMSHAREDIR)/portal \
 			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
 			TOOLSDIR=$(LMSHAREDIR)/ressources \

=== debian/watch ===
version=4
opts=\
dversionmangle=s/[\+~](debian|dfsg|ds|deb)(\.)?(\d+)?$//,\
pgpsigurlmangle=s/$/.sig/,\
repacksuffix=+ds,repack \
 https://releases.ow2.org/lemonldap/ lemonldap-ng-(\d[\d\.]+)\.tar\.gz

## lemonldap-ng 2.21.3+ds

=== debian/changelog ===
lemonldap-ng (2.21.3+ds-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Yadd <yadd@debian.org>  Fri, 12 Sep 2025 07:33:47 +0200

lemonldap-ng (2.21.3+ds-1) unstable; urgency=medium

  * New upstream version 2.21.3+ds

 -- Yadd <yadd@debian.org>  Mon, 08 Sep 2025 11:19:58 +0200

lemonldap-ng (2.21.2+ds-2) unstable; urgency=medium

  * Don't run tests when doc isn't built (Closes: #1114164)

 -- Yadd <yadd@debian.org>  Fri, 05 Sep 2025 21:36:58 +0200
